﻿using DecoratedCoffee;
using Microsoft.VisualStudio.TestTools.UnitTesting;

namespace DecoratedCoffeeTests
{
    [TestClass]
    public class CoffeeTests
    {
        [TestMethod]
        public void TestItAll()
        {
            ICoffee blackCoffee = new BlackCoffee();
            Assert.AreEqual(20, blackCoffee.Price);
            Assert.AreEqual("Black coffee", blackCoffee.ToString());

            ICoffee blackCoffeeWithSugar = new SugarCoffee(blackCoffee);
            Assert.AreEqual(23, blackCoffeeWithSugar.Price);
            Assert.AreEqual("Black coffee with sugar", blackCoffeeWithSugar.ToString());

            ICoffee blackCoffeeSugarMilk = new MilkCoffee(blackCoffeeWithSugar);
            Assert.AreEqual(28, blackCoffeeSugarMilk.Price);
            Assert.AreEqual("Black coffee with sugar with milk", blackCoffeeSugarMilk.ToString());
        }
    }
}
